DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# Function Reference

Global function index

## Library Functions

- Image Object
- Scalar Images
- Strings
- Arrays
- Frameworks
- Pixel Tables
- Data Structures
- Numerical Algorithms
- Sorting
- Indexing
- Memory Management
- Support Functions

## File I/O functions

- File IO

## Image Processing Functions

- Mathematics
- Statistics
- Manipulation
- Interpolation
- Painting
- Linear Filters
- Derivative Filters
- Non-Linear Filters
- Binary Filters
- Mathematical Morphology
- Point Operations
- Transforms
- Distance Transforms

## Application Functions

- Smoothing
- Sharpening
- Line and Edge Detection
- Extrema Detection
- Object Generation
- Noise Generation
- Image Restoration
- Shift Estimation
- Segmentation
- Analysis
- Measurement
- Functions for Microscopy